Package ghidra.graph.viewer.event.mouse

# Class VisualGraphCursorRestoringGraphMousePlugin<V,E>

java.lang.Object
edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin
ghidra.graph.viewer.event.mouse.VisualGraphCursorRestoringGraphMousePlugin<V,E>

All Implemented Interfaces:
  `edu.uci.ics.jung.visualization.control.GraphMousePlugin`, `MouseMotionListener`, `EventListener`

public class VisualGraphCursorRestoringGraphMousePlugin<V,E> extends edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin implements MouseMotionListener

- ## Field Summary

  ### Fields inherited from class edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin

  `cursor, down, modifiers`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VisualGraphCursorRestoringGraphMousePlugin()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `checkModifiers(MouseEvent e)`
  `void`
  `mouseDragged(MouseEvent e)`
  `void`
  `mouseMoved(MouseEvent e)`

  ### Methods inherited from class edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin

  `getCursor, getModifiers, setCursor, setModifiers`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VisualGraphCursorRestoringGraphMousePlugin

    public VisualGraphCursorRestoringGraphMousePlugin()

- ## Method Details

  - ### checkModifiers

    public boolean checkModifiers(MouseEvent e)
    Specified by:
      `checkModifiers` in interface `edu.uci.ics.jung.visualization.control.GraphMousePlugin`
    Overrides:
      `checkModifiers` in class `edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin`

  - ### mouseDragged

    public void mouseDragged(MouseEvent e)
    Specified by:
      `mouseDragged` in interface `MouseMotionListener`

  - ### mouseMoved

    public void mouseMoved(MouseEvent e)
    Specified by:
      `mouseMoved` in interface `MouseMotionListener`